
Katello - Bug #4685

Editing an organization in ~/organizations/<ord_id>-<org_name>/edit leads to traceback

03/18/2014 01:40 PM - Jiří Mikulka

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Hosts   

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When one wants to edit already created organization in WebUI, it fails with the following traceback:

NoMethodError

undefined method `parent_taxonomy_selected_location_path' for #<#<Class:0x007fd848ada3e0>:0x0000000c47f548>

app/views/taxonomies/_form.html.erb:8:in `block in app_views_taxonomies

_form_html_erb__4288734552067943612_70283462707200'

app/helpers/layout_helper.rb:246:in `form_for'

app/views/taxonomies/_form.html.erb:3:in `_app_views_taxonomies__form_html_erb__4288734552067943612_70283462707200'

app/views/taxonomies/edit.html.erb:4:in `_app_views_taxonomies_edit_html_erb__2905390570401795523_103033240'

app/controllers/concerns/foreman/controller/taxonomies_controller.rb:67:in `block in edit'

app/models/taxonomy.rb:40:in `block in no_taxonomy_scope'

app/models/taxonomy.rb:47:in `block (2 levels) in as_taxonomy'

app/models/concerns/foreman/thread_session.rb:143:in `as_location'

app/models/taxonomy.rb:46:in `block in as_taxonomy'

app/models/concerns/foreman/thread_session.rb:108:in `as_org'

app/models/taxonomy.rb:45:in `as_taxonomy'

app/models/taxonomy.rb:39:in `no_taxonomy_scope'

app/controllers/concerns/foreman/controller/taxonomies_controller.rb:65:in `edit'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

Note: tested on katello/foreman-nightly

History

#1 - 03/21/2014 08:15 PM - Mike McCune

- Triaged set to Yes

#2 - 03/21/2014 08:20 PM - Mike McCune

- Triaged deleted (Yes)

#3 - 03/24/2014 08:16 AM - Ivan Necas

- Status changed from New to Duplicate

- Triaged set to No

The issue is on Foreman side, http://projects.theforeman.org/issues/4712, closing this as duplicity

#4 - 06/06/2014 01:33 PM - Eric Helms

- Triaged changed from No to Yes

#5 - 08/22/2014 07:50 AM - Eric Helms

- translation missing: en.field_release set to 13

05/17/2024 1/2

http://projects.theforeman.org/issues/4712


#6 - 03/21/2015 11:02 AM - Eric Helms

- translation missing: en.field_release deleted (13)

#7 - 07/08/2016 11:19 AM - Eric Helms

- translation missing: en.field_release set to 166
